const { injectBabelPlugin } = require('react-app-rewired');
const rewireLess = require('react-app-rewire-less');
const rewireMobX = require('react-app-rewire-mobx');
const BabelEnginePlugin = require("babel-engine-plugin");


const path = require('path');
function resolve(dir) {
    return path.join(__dirname, '.', dir)
}


module.exports = function override(config, env) {
  config = injectBabelPlugin(['import', { libraryName: 'antd', style: true }], config);

  const babelEnginePlugin = new BabelEnginePlugin({
    presets: ["env"],
  });

  config = rewireMobX(config, env);
  config = rewireLess.withLoaderOptions({
    modifyVars: { "@primary-color": "#1DA57A" },
  })(config, env);
 config.resolve.alias={
	"mobx-form-validate":resolve("src/App/mobx-form-validate/index.js")
 };
  config.plugins.unshift(babelEnginePlugin);

   return config;
};
